Lumaktaw sa nilalaman

Ideogram V2 Remix

I-integrate

ID ng modelo ideogram/v2/remix
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v2/remix?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kahilingang ito: $0.08 80 kredito ng API Patakbuhin ito sa page na ito

Kumuha ng API key
Ideogram Pag-edit ng Larawan #realism#typography

Nire-remix ang kasalukuyang larawan gamit ang prompt sa Ideogram V2, na may adjustable input strength

Ideogram · Larawan

Dito mapupunta ang iyong unang resulta

Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.

Bumuo ng kahilingan

Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.

•kinakailangan

Prompt na ginagamit para gabayan ang larawan remix.

•kinakailangan image_url
Mag-drop ng file, o

URL ng larawang nire-remix.

aspect_ratio default na 1:1

Aspect ratio na gagamitin para sa output na larawan.

advanced style · strength · seed · expand_prompt
style default na auto

Visual style para sa output na larawan.

default na 0.8

Impluwensya ng source na larawan sa remix.

Seed value para sa pagbuo ng random number.

POST /run/ideogram/v2/remix?wait=20 presyo → $0.08
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v2/remix?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Patakbuhin ang kahilingang ito

Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key

Tungkol sa Ideogram V2 Remix

Tumatanggap ng input na larawan (`image_url`) at `prompt` at gumagawa ng binagong bersyon. Itinatakda ng `strength` mula 0.01 hanggang 1 (default 0.8) kung gaano kalakas ang impluwensiya ng source na larawan sa resulta. Sinusuportahan ang 11 aspect ratio, anim na estilo (auto, general, realistic, design, render_3D, anime), opsyonal na prompt expansion at seed.

Mga parameter

Ipadala ang canonical na pangalan o ang native na pangalan, hindi pareho. Mga canonical na pangalan

PangalanUri defaultPinapayagan Paglalarawan
promptkinakailangan
Uristring
Prompt na ginagamit para gabayan ang larawan remix.
image_urlkinakailangan image
Uriurl · image
URL ng larawang nire-remix.
aspect_ratioopsyonal
Urienum
default1:1
10:1616:109:1616:94:33:41:11:33:13:22:3
Aspect ratio na gagamitin para sa output na larawan.
strengthopsyonal
Urinumber
default0.8
0.01 – 1
Impluwensya ng source na larawan sa remix.
expand_promptopsyonal
Uriboolean
defaulttrue
Kinokontrol kung palalawakin ng MagicPrompt ang prompt.
seedopsyonal
Uriinteger | null
Seed value para sa pagbuo ng random number.
styleopsyonal
Urienum
defaultauto
autogeneralrealisticdesignrender_3Danime
Visual style para sa output na larawan.
kinakailangan Canonical na pangalan, tinatanggap din

Tumatanggap ang mga parameter ng file ng pampublikong https:// URL, data: URI na hanggang 10 MB, o file_url ng isang upload. Mga file

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/v2/remix",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 80,
    "usd": "0.08",
    "charged": 80,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Ikaw ang pumipili para sa iyong mga fileAng bawat outputs[].url ay kopya sa aming storage: pinananatili nang walang hanggan (sinisingil bawat GB-month) o 7 araw nang libre, ayon sa setting ng iyong account o ?storage=.
Parehong shape sa bawat modelotype, url, content_type, width, height at duration, para sa mga larawan, video at audio. Ang output ay sariling result object ng modelo.
Mga field ng output
images
array of object {url, content_type, file_name, file_size}
seed
integerSeed value na ginagamit para sa pagbuo ng random number.

Higit pang modelo: Pag-edit ng Larawan

Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/ideogram/v2/remix.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt